Page MenuHomePhabricator

Quibble CI jobs failing due to memory allocation
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaMessages/+/442874/
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php70-docker/6000/console

DEBUG:quibble.cmd:composer require .. monolog/monolog=~1.22.1 .. mediawiki/mediawiki-codesniffer=20.0.0
./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)

mmap() failed: [12] Cannot allocate memory

PHP Fatal error:  Out of memory (allocated 241172480) (tried to allocate 9437184 bytes) in /srv/composer/vendor/composer/composer/src/Composer/Repository/ComposerRepository.php on line 565

Traceback (most recent call last): [..]
subprocess.CalledProcessError: Command '['composer', 'require', '--dev', '--ansi', '--no-progress', '--prefer-dist', '-v', ...  'mediawiki/mediawiki-codesniffer=20.0.0']' returned non-zero exit status 255
INFO:backend.MySQL:Terminating MySQL
Build step 'Execute shell' marked build as failure

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/442222/
https://integration.wikimedia.org/ci/job/mediawiki-quibble-vendor-mysql-hhvm-docker/1571/console

DEBUG:zuul.Repo:Updating repository /workspace/src
Traceback (most recent call last):
  [..]
git.exc.GitCommandError: Cmd('git') failed due to: exit code(128)
  cmdline: git fetch --tags -v origin
  stderr: 'error: cannot fork() for index-pack: Cannot allocate memory'
Build step 'Execute shell' marked build as failure

Event Timeline

Krinkle created this task.Jun 28 2018, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2018, 10:46 PM

This seems like a Continuous-Integration-Infrastructure issue that the nodes are running out of memory...

Krinkle closed this task as Resolved.Sep 26 2018, 6:54 PM
Krinkle assigned this task to dduvall.

Tentatively marking as resolved. Not seen for a while. Presumed fixed by the new bigram hosts, T202160.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM